/* ----------------------------------------------------------------
	CUSTOM CSS • TRANSLATE SU TUTTE LE ANCORE ON HOVER
-----------------------------------------------------------------*/

a {
	transform: translate;
	transition: 300ms ease-in-out!important;
}

a:hover {
	transform: translateY(2px)!important;
}

/* ----------------------------------------------------------------
	CUSTOM CSS • TRANSLATE SUI BUTTON DIVI ON HOVER
-----------------------------------------------------------------*/

/*Divi button*/
.et_pb_button {
	transform: translate;
	transition: 300ms ease-in-out!important;

}
/*Divi button on hover*/
.et_pb_button:hover {
	transform: translateY(2px)!important;
}


/* ----------------------------------------------------------------
	CUSTOM CSS • HOVER SU TUTTE LE IMMAGINI ON HOVER
-----------------------------------------------------------------*/

.dsm-entry-image, .dsm_image_carousel_item img, .wp-block-image {
	transform: translate;
	transition: 300ms ease-in-out!important;
}

.dsm-entry-image:hover, .dsm_image_carousel_item img:hover, .wp-block-image:hover {
	transform: translateY(2px)!important;
	filter: brightness(102%);
}



/* ----------------------------------------------------------------
	WP-PAGE NAVI PERSONALIZZAZIONE CSS NAVIGAZIONE
-----------------------------------------------------------------*/

/*styles the wp-pagenavi pagination links*/
.wp-pagenavi a, .wp-pagenavi span {
	padding: 0.3em 0.8em !important;
	margin-left: 0.5em !important;
	margin-right: 0.5em !important;
	font-size: 2em !important;
	color: #343a45;
	line-height: 2em;
	background: #fafafa;
	border-radius: 100px;
	transition: all .5s;
}
 
/*styles the wp-pagenavi current page number*/
.wp-pagenavi span.current {
	color: #ffffff !important;
	background: #FF9900 !important;
}
 
/*styles the wp-pagenavi pagination links on hover*/
.wp-pagenavi a:hover {
	color: #ffffff !important;
	background: #507282 !important;
}
 
/*styles the wp-pagenavi pages text*/
.wp-pagenavi .pages {
	background: none;
}



/* ----------------------------------------------------------------
	BACK TO TOP BUTTON TRANSLATE(Y)
-----------------------------------------------------------------*/

.et_pb_scroll_top {
	transform: translate;
	transition: 300ms ease-in-out!important;
}

.et_pb_scroll_top:hover {
	transform: translateY(2px)!important;
}

/* NO TAP HIGHLIGHTS ON MOBILE*/

a, button, input, textarea, select, * {
    /* Per nascondere l'effetto su browser basati su WebKit (es. Chrome, Safari) */
    -webkit-tap-highlight-color: transparent;
    
    /* Per rimuovere l'outline quando l'elemento è attivo/focalizzato, 
       che a volte può apparire come un effetto di tocco. 
       Usare con cautela per non danneggiare l'accessibilità da tastiera. */
    outline: none;
    
    /* Per alcuni browser o elementi specifici (es. Firefox) */
    -moz-user-select: none;
}

